<jsp:include page="/vistas/templates/validar.jsp" />
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <jsp:include page="/vistas/templates/header.jsp" />
        <!--template-core-->
        <!--css de la pagina-->

        <!--css-->
    </head>
    <body>
        <jsp:include page="/vistas/templates/header-body.jsp" />
        <!--  content -->

        <div class="col-md-4 col-md-offset-4">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h5 class="panel-title">Control de Asistencia de Policias</h5>
                </div>

                <form id="frmAsistenciaPolicias" onsubmit="return false;" autocomplete="off">
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-5 form-group">
                                <label>Busqueda por</label>
                                <select class="form-control" id="cboCriterio">
                                    <option>SEDE</option>
                                    <option>CONDICION DE SEDE</option>
                                </select>
                            </div>
                            <div class="form-group col-md-7">
                                <label for="">Sede</label>
                                <input type="text" class="form-control"></input>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <div class="text-center">
                            <button class="btn btn-primary" id="btnBuscar"><i class="fa fa-search"></i> Buscar</button>&nbsp;
                            <button class="btn btn-warning" id="btnLimpiar"><i class="fa fa-eraser"></i> Limpiar</button>
                        </div>
                    </div>

                </form>

            </div>
        </div>


        <div class="col-md-6 col-md-offset-3">
            <div class="panel panel-primary card-3" style="margin-top: 30px"> 
                <div class="panel-heading" style="padding: 8px 15px">
                    <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="icon icon-search4"></i>&nbsp; LISTADO DE SEDES</h6>
                </div>
                <div>
                    <table class="table dataTable table-striped table-hover table-sm table-bordered display" id="tblAsistenciaPolicias">                                                 
                        <thead>
                            <tr>
                                <th class="text-center">Nº</th>
                                <th class="text-center">SEDE</th>
                                <th class="text-center">CONDICION DE SEDE</th>
                                <th class="text-center">ACCIONES</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td class="text-center">1</td>
                                <td class="text-center">VILLA EL SALVADOR</td>
                                <td class="text-center">OBRA</td>
                                <td class="text-center">
                                    <span data-toggle="modal" data-target="#modal_entrada_pendiente" data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class="editar icon-pencil text-slate-800"></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class="anular icon-cancel-circle2 text-danger-700"></i>&nbsp;&nbsp; </span>
                                </td>
                            </tr>
                            <tr>
                                <td class="text-center">2</td>
                                <td class="text-center">LINCE</td>
                                <td class="text-center">SEGURIDAD</td>
                                <td class="text-center">
                                    <span data-toggle="modal" data-target="#modal_entrada_pendiente" data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class="editar icon-pencil text-slate-800"></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class="anular icon-cancel-circle2 text-danger-700"></i>&nbsp;&nbsp; </span>


                                </td>
                            </tr>
                            <tr>
                                <td class="text-center">3</td>
                                <td class="text-center">MONTESORI</td>
                                <td class="text-center">SEGURIDAD</td>
                                <td class="text-center">
                                    <span data-toggle="modal" data-target="#modal_entrada_pendiente" data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class="editar icon-pencil text-slate-800"></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class="anular icon-cancel-circle2 text-danger-700"></i>&nbsp;&nbsp; </span>
                                </td>
                            </tr>
                            <tr>
                                <td class="text-center">4</td>
                                <td class="text-center">BELISARIO</td>
                                <td class="text-center">SEGURIDAD</td>
                                <td class="text-center">
                                    <span data-toggle="modal" data-target="#modal_entrada_pendiente" data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class="editar icon-pencil text-slate-800"></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class="anular icon-cancel-circle2 text-danger-700"></i>&nbsp;&nbsp; </span>
                                </td>
                            </tr>
                            <tr>
                                <td class="text-center">5</td>
                                <td class="text-center">ICA</td>
                                <td class="text-center">OBRA</td>
                                <td class="text-center">
                                    <span data-toggle="modal" data-target="#modal_entrada_pendiente" data-toggle="tooltip" data-placement="left" title="Editar" style="cursor: pointer"> <i class="editar icon-pencil text-slate-800"></i>&nbsp;&nbsp; </span>
                                    <span data-toggle="tooltip" data-placement="left" title="Anular" style="cursor: pointer"> <i class="anular icon-cancel-circle2 text-danger-700"></i>&nbsp;&nbsp; </span>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>





        <div id="modal_entrada_pendiente" class="modal fade">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">
                    <div class="modal-header bg-primary">
                        <h5 class="modal-title">Registrar Asistencia</h5>
                    </div>

                    <div class="modal-body">
                        <div>

                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label>Sede</label>
                                    <span class="label label-left border-left-primary label-striped form-control">VILLA EL SALVADOR</span>
                                </div>
                            </div>


                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label style="font-size: small">
                                        Condicion de sede:
                                    </label>
                                    <span class="text-danger"> (*)</span>
                                    <select id="cboTipoAsistencia" class="form-control">
                                        <option value="1">OBRA</option>
                                        <option value="3">SEGURIDAD</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row" id="divFiltro">

                            </div>

                        </div>

                    </div>

                    <div class="modal-footer text-center">
                        <button class="btn btn-success" id="btnGuardarCambios" data-dismiss="modal"><i class="fa fa-search"></i> Guardar Cambios</button>&nbsp;
                        <button type="button" class="btn btn-warning" id="btnCancelar" data-dismiss="modal"><i class="fa fa-eraser"></i> Cancelar</button>
                    </div>
                </div>
            </div>
        </div>



        <!-- / content -->

        <jsp:include page="/vistas/templates/footer-body.jsp" />
        <!--js de la pagina-->

        <!--js-->   

    </body>
</html>