<jsp:include page="/vistas/templates/validar.jsp" />
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <jsp:include page="/vistas/templates/header.jsp" />
        <!--template-core-->
        <!--css de la pagina-->

        <!--css-->  
    </head>
    <body>
        <jsp:include page="/vistas/templates/header-body.jsp" />
        <!--  content -->
        <div class="col-md-4 col-md-offset-4">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h5 class="panel-title">Reporte de montos</h5>
                </div>

                <form id="frmMontos" onsubmit="return false;" autocomplete="off">
                    <div class="panel-body">

                        <div class="row">
                            <div class="col-md-6 form-group">
                                <label>Rango de fechas: </label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="icon-calendar22"></i></span>
                                    <input type="text" class="form-control daterange-basic" value="01/06/2018 - 30/06/2018"> 
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-5 form-group">
                                <label>Busqueda por</label>
                                <select class="form-control" id="cboCriterio">
                                    <option>[TODOS]</option>
                                    <option>SEDE</option>
                                    <option>APELLIDOS Y NOMBRES</option>
                                    <option>DNI</option>
                                </select>
                            </div>
                            <div class="form-group col-md-7">
                                <label for="">Sede</label>
                                <input type="text" class="form-control"></input>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <div class="text-center">
                            <button class="btn btn-primary" id="btnBuscar"><i class="fa fa-search"></i> Buscar</button>&nbsp;
                            <button class="btn btn-warning" id="btnLimpiar"><i class="fa fa-eraser"></i> Limpiar</button>
                            <button class="btn btn-success" id="btnLimpiar"><i class="icon-file-excel"></i> Exportar</button>
                        </div>
                    </div>

                </form>

            </div>
        </div>

        <div class="col-md-12">
            <div class="panel panel-primary card-3"> 
                <div class="panel-heading">
                    <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="icon icon-user"></i>&nbsp;ABANTO INOCENTE, MIGUEL RICARDO</h6>
                </div>
                <div>
                    <table class="table table-responsive dataTable table-striped table-hover table-sm table-bordered display" id="tblAsistenciaPolicias">                                                 
                        <thead>
                            <tr>
                                <th class="text-center">N°</th>
                                <th class="text-center">Sede</th>
                                <th class="text-center">Horario</th>
                                <th class="text-center">Fecha de entrada</th>
                                <th class="text-center">Marcación de entrada</th>
                                <th class="text-center">Marcación de salida</th>
                                <th class="text-center">Fecha de salida</th>
                                <th class="text-center">Tipo de horario</th>
                                <th class="text-center">Costo hora</th>
                                <th class="text-center">Tiempo laborado</th>
                                <th class="text-center">Monto</th>
                                <th class="text-center">Dcto por no marcar</th>
                                <th class="text-center">Tiempo extra</th>
                                <th class="text-center">Monto extras</th>
                                <th class="text-center">Estado extras</th>
                                <th class="text-center">
                                    <input type="checkbox" id="extras-select-all" class="checker border-primary-600 text-primary-800">
                                </th>
                                <th class="text-center">Monto total</th>

                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td class="text-center">1</td>
                                <td class="text-center">VILLA EL SALVADOR</td>
                                <td class="text-center">07:00 - 17:00</td>
                                <td class="text-center">12/07/2018</td>
                                <td class="text-center" style="color: #999999;"><strong>07:21</strong></td>
                                <td class="text-center">17:38</td>
                                <td class="text-center">12/07/2018</td>
                                <td class="text-center">
                                    <span class="label bg-slate border-slate-700" title="REGULAR">REGULAR</span>
                                </td>
                                <td class="text-center">8.50</td>
                                <td class="text-center">10:00</td>
                                <td class="text-center text-blue">85.00</td>
                                <td class="text-center text-danger">17.00</td>
                                <td class="text-center">00:38</td>
                                <td class="text-center text-blue">0.00</td>
                                <td class="text-center">
                                    <span class="label label-danger border-danger-700" title="ANULADO">DESAPROBADO</span>
                                </td>
                                <td class="text-center">
                                    <!--<input type="checkbox" class="checker border-primary-600 text-primary-800">-->
                                    <input type="checkbox" class="styled">
                                </td>
                                <td class="text-center">85.00</td>

                            </tr>
                            <tr>
                                <td class="text-center">2</td>
                                <td class="text-center">LINCE</td>
                                <td class="text-center">07:00 - 07:00</td>
                                <td class="text-center">12/07/2018</td>
                                <td class="text-center">06:59</td>
                                <td class="text-center">07:13</td>
                                <td class="text-center">13/07/2018</td>
                                <td class="text-center">
                                    <span class="label bg-teal border-teal-700" title="REGULAR">AMANECIDA 24H</span>
                                </td>
                                <td class="text-center">8.50</td>
                                <td class="text-center">24:00</td>
                                <td class="text-center text-blue">200.00</td>
                                <td class="text-center text-danger">0.00</td>
                                <td class="text-center">00:00</td>
                                <td class="text-center text-blue">0.00</td>
                                <td class="text-center">
                                    <span class="label label-success border-success-700">APROBADO</span>
                                </td>
                                <td class="text-center">
                                    <input type="checkbox" class="checker border-primary-600 text-primary-800">
                                </td>
                                <td class="text-center">85.00</td>

                            </tr>
                            <tr>
                                <td class="text-center">3</td>
                                <td class="text-center">MONTESORI</td>
                                <td class="text-center">19:00 - 07:00</td>
                                <td class="text-center">12/07/2018</td>
                                <td class="text-center">07:00</td>
                                <td class="text-center">07:00</td>
                                <td class="text-center">12/07/2018</td>
                                <td class="text-center">
                                    <span class="label bg-brown border-brown-700" title="AMANECIDA 24H">AMANECIDA 12H</span>
                                </td>
                                <td class="text-center">8.50</td>
                                <td class="text-center">10:00</td>
                                <td class="text-center text-blue">85.00</td>
                                <td class="text-center text-danger">0.00</td>
                                <td class="text-center">00:00</td>
                                <td class="text-center text-blue">0.00</td>
                                <td class="text-center">
                                    <span class="label label-success border-success-700" title="APROBADO">APROBADO</span>
                                </td>
                                <td class="text-center">
                                    <input type="checkbox" class="styled" checked="checked">
                                </td>
                                <td class="text-center">85.00</td>

                            </tr>


                            <tr>
                                <td class="text-center">4</td>
                                <td class="text-center">AREQUIPA</td>
                                <td class="text-center">07:00 - 17:00</td>
                                <td class="text-center">12/07/2018</td>
                                <td class="text-center">06:52</td>
                                <td class="text-center">17:23</td>
                                <td class="text-center">12/07/2018</td>
                                <td class="text-center">
                                    <span class="label bg-slate border-slate-700" title="REGULAR">REGULAR</span>
                                </td>
                                <td class="text-center">8.50</td>
                                <td class="text-center">10:00</td>
                                <td class="text-center text-blue">85.00</td>
                                <td class="text-center text-danger">0.00</td>
                                <td class="text-center">00:23</td>
                                <td class="text-center text-blue">0.00</td>
                                <td class="text-center">
                                    <span class="label label-danger border-danger-700" title="APROBADO">DESAPROBADO</span>
                                </td>
                                <td class="text-center">
                                    <input type="checkbox" class="styled" disabled="disabled">
                                </td>
                                <td class="text-center">85.00</td>

                            </tr>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <!--        <div class="col-md-12">
                    <div class="panel panel-primary card-3" style="margin-top: 30px"> 
                        <div class="panel-heading" style="padding: 8px 15px">
                            <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="icon icon-user"></i>&nbsp;DELGADO ACEVEDO, JUAN JOSE</h6>
                        </div>
                        <div>
                            <table class="table dataTable table-striped table-hover table-sm table-bordered display" id="tblAsistenciaPolicias">                                                 
                                <thead>
                                    <tr>
                                        <th class="text-center">N°</th>
                                        <th class="text-center">Sede</th>
                                        <th class="text-center">Fecha de entrada base</th>
                                        <th class="text-center">Fecha de salida base</th>
                                        <th class="text-center">Marcación de entrada</th>
                                        <th class="text-center">Marcación de salida</th>
                                        <th class="text-center">Tipo de horario</th>
                                        <th class="text-center">Costo hora(S/.)</th>
                                        <th class="text-center">Tiempo laborado</th>
                                        <th class="text-center">Monto(S/.)</th>
                                        <th class="text-center">Tiempo extra</th>
                                        <th class="text-center">Monto extras(S/.)</th>
                                        <th class="text-center">Estado extras</th>
                                        <th class="text-center">Monto total(S/.)</th>
        
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td class="text-center">1</td>
                                        <td class="text-center">VILLA EL SALVADOR</td>
                                        <td class="text-center">12/07/2018 07:00</td>
                                        <td class="text-center">12/07/2018 17:00</td>
                                        <td class="text-center">12/07/2018 07:00</td>
                                        <td class="text-center">12/07/2018 17:00</td>
                                        <td class="text-center">
                                            <span class="label bg-slate border-slate-700" title="REGULAR">REGULAR</span>
                                        </td>
                                        <td class="text-center">8.50</td>
                                        <td class="text-center">10:00</td>
                                        <td class="text-center">85.00</td>
                                        <td class="text-center">00:00</td>
                                        <td class="text-center">0.00</td>
                                        <td class="text-center">
                                            <span class="label label-danger border-danger-700" title="ANULADO">DESAPROBADO</span>
                                        </td>
                                        <td class="text-center">85.00</td>
        
                                    </tr>
                                    <tr>
                                        <td class="text-center">2</td>
                                        <td class="text-center">LINCE</td>
                                        <td class="text-center">12/07/2018 07:00</td>
                                        <td class="text-center">12/07/2018 17:00</td>
                                        <td class="text-center">12/07/2018 07:00</td>
                                        <td class="text-center">12/07/2018 17:00</td>
                                        <td class="text-center">
                                            <span class="label bg-teal border-teal-700" title="REGULAR">AMANECIDA 24H</span>
                                        </td>
                                        <td class="text-center">8.50</td>
                                        <td class="text-center">24:00</td>
                                        <td class="text-center">200.00</td>
                                        <td class="text-center">00:00</td>
                                        <td class="text-center">0.00</td>
                                        <td class="text-center">
                                            <span class="label label-success border-success-700" title="ANULADO">APROBADO</span>
                                        </td>
                                        <td class="text-center">85.00</td>
        
                                    </tr>
                                    <tr>
                                        <td class="text-center">3</td>
                                        <td class="text-center">MONTESORI</td>
                                        <td class="text-center">12/07/2018 07:00</td>
                                        <td class="text-center">12/07/2018 17:00</td>
                                        <td class="text-center">12/07/2018 07:00</td>
                                        <td class="text-center">12/07/2018 17:00</td>
                                        <td class="text-center">
                                            <span class="label bg-brown border-brown-700" title="AMANECIDA 24H">AMANECIDA 12H</span>
                                        </td>
                                        <td class="text-center">8.50</td>
                                        <td class="text-center">10:00</td>
                                        <td class="text-center">85.00</td>
                                        <td class="text-center">00:00</td>
                                        <td class="text-center">0.00</td>
                                        <td class="text-center">
                                            <span class="label label-success border-success-700" title="APROBADO">APROBADO</span>
                                        </td>
                                        <td class="text-center">85.00</td>
        
                                    </tr>
        
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
        -->


        <!-- / content -->

        <jsp:include page="/vistas/templates/footer-body.jsp" />
        <!--js de la pagina-->
        <script src="${pageContext.request.contextPath}/plantilla/assets/js/plugins/tables/datatables/datatables.min.js" type="text/javascript"></script>
        <script src="${pageContext.request.contextPath}/plantilla/assets/js/plugins/forms/styling/switch.min.js" type="text/javascript"></script>
        <script>
                    $(".styled, .multiselect-container input").uniform({
                        radioClass: 'choice'
                    });
                    let table = $('#tblAsistenciaPolicias').DataTable({
                        "language": {
                            "lengthMenu": "Mostrar: _MENU_",
                            "zeroRecords": "&nbsp;&nbsp;&nbsp; No se encontraron resultados",
                            "info": "&nbsp;&nbsp;&nbsp; Mostrando del _START_ al _END_ de un total de _TOTAL_ registros",
                            "infoEmpty": "&nbsp;&nbsp;&nbsp; Mostrando 0 de 0 registros",
                            "search": "Filtrar:",
                            "loadingRecords": "Cargando...",
                            "processing": '<span style="width:100%;"><img src="http://www.snacklocal.com/images/ajaxload.gif"></span>',
                            "paginate": {
                                "first": "First",
                                "last": "Last",
                                "next": "Siguiente",
                                "previous": "Anterior"
                            }
                        },
//                        dom: '<"datatable-scroll"t>r<"datatable-footers"ip>',
//                        "ajax": {
//                            type: 'POST',
//                            url: "../UsuarioServlet?accion=listarUsuarios",
//                            data: {
//                                json: JSON.stringify(json)
//                            }
//                        },
//                        "bSort": false,
                        "bFilter": false,
//                        "serverSide": true,
//                        "processing": true,
//                        "aaSorting": [],
                        "ordering": false,
                        "bLengthChange": false,
                        "bInfo": false,
                        "paging": false,
//                        "iDisplayLength": 20,
                        "columnDefs": [
                            {targets: 0, orderable: false, width: "1%", className: "text-center"},
                            {targets: 1, orderable: false, width: "15%", className: "text-center"},
                            {targets: 2, orderable: false, width: "12%", className: "text-center"},
                            {targets: 3, orderable: false, width: "8%", className: "text-center"},
                            {targets: 4, orderable: false, width: "8%", className: "text-center"},
                            {targets: 5, orderable: false, width: "10%", className: "text-center"},
                            {targets: 6, orderable: false, width: "5%", className: "text-center"},
                            {targets: 7, orderable: false, width: "5%", className: "text-center"},
                            {targets: 8, orderable: false, width: "5%", className: "text-center"},
                            {targets: 9, orderable: false, width: "5%", className: "text-center"},
                            {targets: 10, orderable: false, width: "5%", className: "text-center"},
                            {targets: 11, orderable: false, width: "5%", className: "text-center"},
                            {targets: 12, orderable: false, width: "10%", className: "text-center"},
                            {targets: 13, orderable: false, width: "10%", className: "text-center"},
                            {targets: 14, orderable: false, width: "5%", className: "text-center"}
                        ]
                    });


                    $('#extras-select-all').on('click', function () {
                        // Check/uncheck all checkboxes in the table
                        var rows = table.rows({'search': 'applied'}).nodes();
                        $('input[type="checkbox"]', rows).parent().addClass('checked')
//                        debugger
                    });


        </script>
        <!--js-->   

    </body>
</html>