<jsp:include page="/vistas/templates/validar.jsp" />
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <jsp:include page="/vistas/templates/header.jsp" />
        <!--template-core-->
        <!--css de la pagina-->

        <!--css-->
    </head>
    <body>
        <jsp:include page="/vistas/templates/header-body.jsp" />
        <!--  content -->
        <div class="col-md-6 col-md-offset-3">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h5 class="panel-title">Proyección de Asistencias</h5>
                </div>

                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-6 form-group">
                            <label>Busqueda Por</label>
                            <select  id="cboCriterio" class="form-control">
                                <option value="">[SELECCIONE]</option>
                                <option value="">DNI</option>
                                <option value="">APELLIDOS</option>
                            </select>
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Criterio</label>
                            <input type="text" class="form-control"></input>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6 form-group">
                            <label>Fecha Inicio</label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="icon-calendar"></i></span>
                                <input type="text" class="form-control" name="dpFechaInicio" id="dpFechaInicio">
                            </div>
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Fecha Fin</label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="icon-calendar"></i></span>
                                <input type="text" class="form-control" name="dpFechaFin" id="dpFechaFin">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel-footer">
                    <div class="text-center">
                        <button class="btn btn-primary" id="btnVistaPrevia"><i class="icon-eye4"></i> Vista previa</button>&nbsp;
                        <!--<button class="btn btn-warning" id="btnLimpiar"><i class="fa fa-eraser"></i> Limpiar</button>-->
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-12">
            <div class="panel panel-primary card-3"> 
                <div class="panel-heading">
                    <h6 class="panel-title" style="font-size: 15px; font-family: inherit"><i class="icon icon-search4"></i>&nbsp;ASISTENCIAS PROYECTADAS</h6>
                </div>
                <div id="tblProyectado">
                    <!--                    <table class="table table-responsive dataTable table-striped table-sm table-bordered" id="tblAsistenciaPolicias">                                                 
                                            <thead>
                                                <tr>
                                                    <th class="text-center">N°</th>
                                                    <th class="text-center">Apellidos y Nombres</th>
                                                    <th class="text-center">Sede</th>
                                                    <th class="text-center">Horario</th>
                                                    <th class="text-center">Tipo de horario</th>
                                                    <th class="text-center">Fecha de Entrada</th>
                                                    <th class="text-center">Marcación de entrada</th>
                                                    <th class="text-center">Marcación de salida</th>
                                                    <th class="text-center">Fecha de salida</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                    
                                            </tbody>
                                        </table>-->
                </div>
            </div>
        </div>





        <!-- / content -->

        <jsp:include page="/vistas/templates/footer-body.jsp" />
        <!--js de la pagina-->

        <script src="${pageContext.request.contextPath}/plantilla/assets/js/plugins/ui/moment/moment.min.js" type="text/javascript"></script>
        <script src="${pageContext.request.contextPath}/plantilla/assets/js/plugins/pickers/daterangepicker.js" type="text/javascript"></script>
        <script src="${pageContext.request.contextPath}/plantilla/assets/js/core/libraries/jquery_ui/widgets.min.js" type="text/javascript" ></script>
        <script src="${pageContext.request.contextPath}/plantilla/assets/js/plugins/tables/datatables/datatables.min.js" type="text/javascript"></script>
        <script src="${pageContext.request.contextPath}/js/lib/dataTables.rowsGroup.js" type="text/javascript"></script>
        <script src="${pageContext.request.contextPath}/plantilla/assets/js/plugins/tables/handsontable/handsontable.min.js" type="text/javascript" ></script>
        <script src="${pageContext.request.contextPath}/js/lib/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
        <script src="${pageContext.request.contextPath}/js/pages/proyectar_asistencia_policias.js" type="text/javascript"></script>
        <!--js-->   

    </body>
</html>